<?php
class budgetSMS {

	var $username;
	var $userid;
	var $handle;
	
	var $msg;
	var $to;
	var $from;
	
	var $baseurl;
	
    function BudgetSMS($username, $userid, $handle) 
    {
    	$this->username = $username;
    	$this->userid = $userid;
    	$this->handle = $handle;
    	
    	$this->baseurl = 'http://www.budgetsms.net/';
    }
    
    function msg($msg)
    {
    	$this->msg = $msg;
    }
    
    function to($to)
    {
    	$this->to = $to;
    }
    
    function from($from)
    {
    	$this->from = $from;
    }
    
    function sendSMS()
    {
    	$url = $this->baseurl.'api/sendsms';
	    	$url .= '?username='.$this->username;
	    	$url .= '&userid='.$this->userid;
	    	$url .= '&handle='.$this->handle;
			$url .= '&to='.$this->to;
	    	$url .= '&msg='.rawurlencode($this->msg);
	    	$url .= '&from='.rawurlencode($this->from);

    	$ret = file_get_contents($url);
    	$send = split(" ",$ret);
    	
    	if ($send[0] == 'OK')
    	{
    		/** SMS send was succesful
    		 * create code to handle stuff
    		 * ...
    		 * ...
    		**/
    		
    		// Print SMS message id
    		echo $send[1];
    	}
    	else
    	{
    		// Sending failed.
    		// Handle error in function error
    		return $this->error($send[1]);
    	}
    }
    
   	function error($code)
   	{
   		/**
   		 * Handle the errors
   		 * ...
   		 * ...
   		 */
   		
   		if (substr($code, 0, 1)!='9')
   		{
	   		$errors[1001] = 'Not enough credits to send messages';
	   		$errors[1002] = 'Identification failed. Wrong credentials';
	   		$errors[2001] = 'SMS message text is empty';
	   		$errors[2002] = 'SMS numeric senderid can be max. 16 numbers';
	   		$errors[2003] = 'SMS alphanumeric sender can be max. 12 characters';
	   		$errors[2004] = 'SMS senderid is empty';
	   		$errors[2005] = 'Destination number is to short';
	   		$errors[2006] = 'Destination is not numeric';
	   		$errors[2007] = 'Destination is empty';
	   		$errors[3001] = 'No route to destination. Contact BudgetSMS for possible solutions';
	   		$errors[3002] = 'No routes are setup. Contact BudgetSMS for a route setup';
	   		
	   		echo $errors[$code];
   		}
   		else
   		{
   			echo 'Uplink provider error. Contact BudgetSMS with the code for possible solutions';
   		}
   		
   	}
}
?>